# -*- coding: utf-8 -*-

from api.wx_views import get_course_field_limit_scene_qrcode_url
from utils.redis.connect import r
from utils.redis.rkeys import HY_QRCODE_URL_HASH


def set_qrcode_url(scene):
    qrcode_url = get_course_field_limit_scene_qrcode_url(scene)
    if qrcode_url:
        try:
            r.hset(HY_QRCODE_URL_HASH, scene, qrcode_url)
        except Exception as e:
            pass
    return qrcode_url


def get_qrcode_url(scene):
    return r.hget(HY_QRCODE_URL_HASH, scene) or set_qrcode_url(scene)
